[ 
https://issues.apache.org/jira/browse/HBASE-18271?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

stack updated HBASE-18271:
--------------------------
    Fix Version/s:     (was: 2.0.0-beta-1)
                   2.0.0

> Shade netty
> -----------
>
>                 Key: HBASE-18271
>                 URL: https://issues.apache.org/jira/browse/HBASE-18271
>             Project: HBase
>          Issue Type: Sub-task
>          Components: rpc
>    Affects Versions: 2.0.0
>            Reporter: stack
>            Assignee: stack
>            Priority: Critical
>             Fix For: 2.0.0
>
>         Attachments: HBASE-18271.master.001.patch, 
> HBASE-18271.master.002.patch
>
>
> Our new prefatory project, hbase-thirdparty, includes a relocated netty 
> 4.1.12. This issue is about changing references in hbase to make use of this 
> shaded netty. This way we will take ourselves out of the clashing library 
> saga and change netty as we see fit.
> One kink is the inclusion inside the netty-all jar of an .so. We need to make 
> sure it gets loaded and that on linux we are doing native epoll; all should 
> be in place to do this but need to add a system property to bin/hbase for 
> netty to pick up. TODO as part of this issue. See tail of upgrade guava 
> sibling issue.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Reply via email to